CMSTimeStampedDataGenerator (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.tsp.cms

## Class CMSTimeStampedDataGenerator

- java.lang.Object
- - org.bouncycastle.tsp.cms.CMSTimeStampedGenerator
  - - org.bouncycastle.tsp.cms.CMSTimeStampedDataGenerator

-     public class CMSTimeStampedDataGenerator
      extends CMSTimeStampedGenerator

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.tsp.cms.CMSTimeStampedGenerator

      `dataUri, metaData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMSTimeStampedDataGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CMSTimeStampedData` | `generate(TimeStampToken timeStamp)`
    `CMSTimeStampedData` | `generate(TimeStampToken timeStamp, byte[] content)`
    `CMSTimeStampedData` | `generate(TimeStampToken timeStamp, java.io.InputStream content)`

    - ### Methods inherited from class org.bouncycastle.tsp.cms.CMSTimeStampedGenerator

      `initialiseMessageImprintDigestCalculator, setDataUri, setMetaData, setMetaData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CMSTimeStampedDataGenerator

          public CMSTimeStampedDataGenerator()

  - ### Method Detail

    - #### generate

          public CMSTimeStampedData generate(TimeStampToken timeStamp)
                                      throws CMSException

      Throws:
        `CMSException`

    - #### generate

          public CMSTimeStampedData generate(TimeStampToken timeStamp,
                                    byte[] content)
                                      throws CMSException

      Throws:
        `CMSException`

    - #### generate

          public CMSTimeStampedData generate(TimeStampToken timeStamp,
                                    java.io.InputStream content)
                                      throws CMSException

      Throws:
        `CMSException`